NetWorker

Last reply by 11-16-2021 Unsolved
Start a Discussion
2 Bronze
2 Bronze
781

MNC console cannot loggin - NetWorker 19.5

Hello,

I have NetWorker 19.5 and I'm trying to connect to MNC console java give me these logs and problems:

 

net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize application. The application has not been initialized, for more information execute javaws from the command line.
at net.sourceforge.jnlp.Launcher.createApplication(Launcher.java:587)
at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:372)
at net.sourceforge.jnlp.Launcher.access$200(Launcher.java:70)
at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:654)
Caused by: net.sourceforge.jnlp.LaunchException: Fatal: Application Error: Cannot grant permissions to unsigned jars. Application requested security permissions, but jars are not signed.
at net.sourceforge.jnlp.runtime.classloader.SecurityDelegateImpl.getClassLoaderSecurity(SecurityDelegateImpl.java:102)
at net.sourceforge.jnlp.runtime.classloader.JNLPClassLoader.setSecurity(JNLPClassLoader.java:387)
at net.sourceforge.jnlp.runtime.classloader.JNLPClassLoader.initializeResources(JNLPClassLoader.java:772)
at net.sourceforge.jnlp.runtime.classloader.JNLPClassLoader.<init>(JNLPClassLoader.java:350)
at net.sourceforge.jnlp.runtime.classloader.JNLPClassLoader.createInstance(JNLPClassLoader.java:423)
at net.sourceforge.jnlp.runtime.classloader.JNLPClassLoader.getInstance(JNLPClassLoader.java:495)
at net.sourceforge.jnlp.runtime.classloader.JNLPClassLoader.getInstance(JNLPClassLoader.java:468)
at net.sourceforge.jnlp.Launcher.createApplication(Launcher.java:579)
... 3 more

 

Please help with this problem..

 

Best regards

Ptaszol

 

 

 

Replies (5)
4 Ruthenium
727

Just a guess - did you install the NRE software at all?

 

3 Argentum
715

using NRE, the dell supplied java runtime (most current version 8.0.10) makes life much easier as it no longer uses a regular java, but a version that specifically supports the more recent nw versions. so no longer trail and error with too low or too high java versions. simply use NRE (not only on the nw servers for nw server itself but the windows NRE version in case you connect from a windows host to the nmc).

Also you could start using the NWUI (needs seperate package installed on nw server) to connect to the html5 interface of newer nw versions. however I find it still too limited. with nw19.x many of the features offered by nmc are supported, but nmc is easier to use as it has configurable columns that you wanna see whereas NWUI is very much paginated (click,next, click, next, click) and only has fixed columns it shows, so no easy/simple overview of various settings that can be compared.

668

Hello

Thank you for your advice but I still have a problem.

This is a NetWorker 19.5 from the appliance (ova files). I'm upgrading nre environment. It was 8.0.6 - now is 8.0.10. Also, I installed nre 8.0.10 on windows host. When I tried run nmc consol and I saw an error:

<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: //NW/dev/nw_19_5/gwt/java/html/gconsole.jnlp#1 $ Copyright (c) 2003-2019 EMC Corporation

All rights reserved. This is an UNPUBLISHED work, and
comprises proprietary and confidential information of EMC.
Unauthorized use, disclosure, and distribution are strictly
prohibited. Use, duplication, or disclosure of the software
and documentation by the U.S. Government is subject to
restrictions set forth in a license agreement between the
Government and EMC or other written agreement specifying
the Government's rights to use the software and any applicable
FAR provisions, such as FAR 52.227-19.
-->
<!-- JNLP File for GConsole Application -->
<!-- gstconfig bEgIn DO NOT ALTER THIS LINE -->
<jnlp
spec="1.0+"
codebase="https://xxx.xxx.xxx.xxx:9000"
href="/gconsole.jnlp?"> <resources arch="amd64">
<property name="java.util.Arrays.useLegacyMergeSort" value="true"/>
<j2se version="1.8+" java-vm-args="-Djava.locale.providers=COMPAT -XX:+IgnoreUnrecognizedVMOptions --add-modules=java.se.ee -Xms256m -Xmx2048m"/>
<jar href="/LGTOnmc/java/gwt.jar"/>
<jar href="/LGTOnmc/java/gst.jar"/>
<jar href="/LGTOnmc/java/gwt_res.jar"/>
<jar href="/LGTOnmc/java/comtsk.jar"/>
<jar href="/LGTOnmc/java/postgresql-42.2.14.jar"/>
<jar href="/LGTOnmc/java/jaxp.jar"/>
<jar href="/LGTOnmc/java/jcchart.jar"/>
<jar href="/LGTOnmc/java/jcfield.jar"/>
<jar href="/LGTOnmc/java/jcpagelayout.jar"/>
<jar href="/LGTOnmc/java/forms.jar"/>
<jar href="/LGTOnmc/java/looks.jar"/>
<jar href="/LGTOnmc/java/antlr.jar"/>
<jar href="/LGTOnmc/java/y.jar"/>
<jar href="/LGTOnmc/java/ysvg.jar"/>
<jar href="/LGTOnmc/java/batik.jar"/>
<jar href="/LGTOnmc/java/jide-common.jar"/>
<jar href="/LGTOnmc/java/jide-components.jar"/>
<jar href="/LGTOnmc/java/jide-dock.jar"/>
<jar href="/LGTOnmc/java/ddomain.jar"/>
<jar href="/LGTOnmc/java/ddomain_res.jar"/>
<jar href="/LGTOnmc/java/json-simple-1.1.1.jar"/>
<jar href="/LGTOnmc/java/gconsole.jar"/>
<jar href="/LGTOnmc/java/gconsole_res.jar"/>
<jar href="/LGTOnmc/java/nwadmin.jar"/>
<jar href="/LGTOnmc/java/nwadmin_res.jar"/>
<jar href="/LGTOnmc/java/nwadmin_old.jar"/>
</resources>
<application-desc main-class="COM.legato.gwt.framework.LMainWindow">
<argument>-g</argument>
<argument>10.11.25.10</argument>
<argument>-p</argument>
<argument>gconsole</argument>
<argument>-i</argument>
<argument>false</argument>
<argument>-s</argument>
<argument>X_NO_SERVER_X</argument>
<argument>-P</argument>
<argument>X_NO_SERVER_PORT_X</argument>
<argument>-t</argument>
<argument>X_NO_TASK_X</argument>
<argument>-h</argument>
<argument>9000</argument>
<argument>-n</argument>
<argument>9001</argument>
<argument>-b</argument>
<argument>5432</argument>
<argument>-A</argument>
<argument>9090</argument>
<argument>-d</argument>
<argument>0</argument>
<argument>-a</argument>
<argument>X_NO_AUTH_X</argument>
<argument>-m</argument>
<argument>X_NO_ISSUER_X</argument>
</application-desc>
<information>
<title>NetWorker Management Console on xxx.xxx.xxx.xxx</title>
<vendor>Dell Inc. or its subsidiaries</vendor>
<homepage href = "https://www.emc.com"/>
<description>NetWorker Management Console</description>
<!-- gstconfig eNd DO NOT ALTER THIS LINE -->
<icon kind="shortcut" type="image/x-icon" href="console.ico"/>
<offline-allowed/>
</information>
<security>
<all-permissions/>
</security>
</jnlp>

 

 

 

646

I am afraid that nobody except support will be able to help you - it seems as if you need a java expert.

644

I don't see any error being reported? this seems output from the java console? not an error from a NMC console client connection?

As you upgraded NRE, you can also have a look to cleanup all downloaded java applets from within the java cache viewer underneath the NRE install directory using javacpl.exe.

So C:\Program Files\NRE\java\jre1.8.0_xxx\bin\javacpl.exe

Latest Solutions
Top Contributor